# $Id: perl-POE-Session-Cascading.spec 3835 2005-12-22 22:10:14Z dries $
# Authority: dries
# Upstream: sungo <sungo$pobox,com>

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name POE-Session-Cascading

Summary: Stack-like POE sessions
Name: perl-POE-Session-Cascading
Version: 1.03
Release: 1.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/POE-Session-Cascading/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org/CPAN/authors/id/S/SU/SUNGO/POE-Session-Cascading-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl

%description
POE::Session::Cascading provides a stack-like session for POE. Another
way of saying it is that a Cascading session is like a big switch
statement. 

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -rf %{buildroot}%{perl_archlib}/perllocal.pod %{buildroot}%{perl_vendorarch}/auto/*/*/*/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc README
%doc %{_mandir}/man3/*
%{perl_vendorlib}/POE/Session/Cascading.pm

%changelog
* Fri Dec  9 2005 Dries Verachtert <dries@ulyssis.org> - 1.03-1 - 3835/dries
- Initial package.
